Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86240 - Need to update libbfd.so on RH AS 2.1 / IA64
Summary: Need to update libbfd.so on RH AS 2.1 / IA64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: binutils
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-18 00:18 UTC by David Connelly
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-06 18:57:56 UTC


Attachments (Terms of Use)

Description David Connelly 2003-03-18 00:18:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; YComp 
5.0.0.0; .NET CLR 1.0.3705)

Description of problem:
The installed version of libbfd.so cannot handle some object files generated 
by gcc 3.0. In particular, the function bfd_find_nearest_line will barf on 
some objects with the following error message:

   BFD: Dwarf Error: Invalid or unhandled FORM value: 14.

Unfortunately, the function will abort with this error message rather than 
just return an error code, so there is no easy workaround.

If you look at bfd/dwarf2.c in binutils-2.11.2 there is in fact no handler for 
DW_FORM_strp (14). This apparently has been fixed in binutils-2.13.2 so we 
should probably update to that.

- David

Version-Release number of selected component (if applicable):
binutils-2.11.90.0.8-12.2

How reproducible:
Always

Steps to Reproduce:
1. Compile C program with gcc 3.0.2 and -g
2. Write program to open object bfd and call bfd_find_nearest_line
3. Run program on previously generated object file

Additional info:

Comment 3 Bob Johnson 2003-04-25 20:04:54 UTC
As a workaround, one answer  might be to compile programs with -gstabs or
-gstabs+ as a workaround.  That would probably bypass the Dwarf-2 issues.

gcc 3.x is not supported on AS 2.1
Only gcc 2.9x


Comment 4 Jakub Jelinek 2004-10-06 18:57:56 UTC
There are several changes that would be needed in binutils and
even more so in gdb, I don't think the changes are appropriate for
AS2.1 at this point.


Note You need to log in before you can comment on or make changes to this bug.